2007-07-02			Version 4.0.3
	- Enhancement: Customers with devices that have Pocket Tunes in the ROM
	  can now update to 4.0.3 and continue using Pocket Tunes after the trial 
	  expires. (#4048)

2007-03-13			Version 4.0.2
	- Feature: Re-add support for screen blanking on Zodiac devices (#3921)
	- Enhancement: Support MTP communication with Windows Media Player 11.
	- Bug fix: Fix memory error launching some Internet Radio stations from Blazer
	  on Treo 700p, 680 (#4020)

2006-12-19			Version 4.0.1
	- Bug fix: Pocket Tunes v1 skins show up blank (#3886)
	- Bug fix: Internet Radio station name sometimes gets corrupted (#3891)
	- Bug fix: Crashes on unsupported Sony devices (#3892)
	- Bug fix: Cancelling from first-time welcome screen doesn't set trial correctly (#3893)
	- Bug fix: Some skins can freeze the device when Fonts4OS5, FontSmoother, or PiLoc
	  is installed (#3898, #3912)
	- Bug fix: Too many timeout errors loading Internet Radio stations (#3900)
	- Bug fix: Scrolling text areas don't scroll at constant speed (#3905)
	- Bug fix: Fix crash and prevent reset loop on Treo 600 (#3916)

2006-12-15			Version 4.0
	- Feature: Enhanced Internet radio tuner
	- Feature: Network-updatable Internet radio station catalog
	- Feature: AAC- and aacPlus-encoded music is now supported (#1009)
	- Feature: Album art stored in metadata tags and within music folders is now supported
	  on skin (#1816)
	- Feature: Album art is now displayed in the Song Info
	- Feature: Full-screen album art display that updates when the currently playing song
	  changes
	- Feature: Volume boost now utilizes audio compression to improve audio quality (#1024)
	- Feature: New Pocket Tunes skin with support for album art
	- Feature: Allow sharing of Internet radio links via IR, Bluetooth, or email
	- Feature: Choose Songs screen allows you to browse Internet Radio catalog groups and
	  stations (#2635)
	- Enhancement: Provide ability to enter registration code in welcome screens
	- Enhancement: Continue playing past tracks that cannot be played due to some error (#3407)
	- Enhancement: Create "jump to" mode for skin slider widgets
	- Enhancement: Improve skin refresh handling when a control becomes invisible
	- Enhancement: Increase frequency of network reads to help prevent skipping during
	  start of streaming playback
	- Enhancement: Tell user to restart Pocket Tunes when upgrading or downgrading (#3125)
	- Enhancement: Determine stream content from returned MIME type (#3628)
	- Enhancement: Add StringSongPosition and StringSongPositionCountdown skin variables
	- Enhancement: Show M3U playlists as expandable on skin, always expand PLS playlists to
	  better support file sharing services (#3733, #3460))
	- Enhancement: Change formatting of StringSongLength to HHH:MM:SS, instead of MMM:SS
	- Enhancement: On upgrade from 3.X, select SleekBlue skin if installed (#3791)
	- Enhancement: On upgrade from 3.X, set Choose Songs screen back to top level of
	  All view (#3792)
	- Enhancement: Improve handling of of song files that crash the device (#3790)
	- Bug fix: Redraw song title in mini console after ignored phone call (#3098)
	- Bug fix: Fix volume boost on mono files (#3215)
	- Bug fix: Avoid reset of T3 when both Ogg Vorbis and WAV plugins are installed
	  (#3429)
	- Bug fix: Save files from Blazer to correct location (#3443)
	- Bug fix: Fix incorrect StringSongTitleAndComments information when skin control not
	  visible during song change (#2430)
	- Bug fix: Make splash screen background transparent (#2537)
	- Bug fix: Support additional MP3 and Ogg Vorbis tags for acquiring the year of a song
	  (#2419)
	- Bug fix: Synchronize metadata display better when streaming low-bitrate 
	  streams (#2339)
	- Bug fix: Clean up text on Copy to PC Prefs form (#3158)
	- Bug fix: Fix memory leaks in MTP communication (#3324, #3561)
	- Bug fix: Fix memory leaks if USB port open fails (#3587)
	- Bug fix: On T|X, copy skin to SD card first, not builtin VFS volume (#3614)
	- Bug fix: Fix display of automatic playlist name in Palm skin (#3651)
	- Bug fix: Fix handle leak in playlist code (#3618)
	- Bug fix: Fix potential memory leak in form display processing (#3610)
	- Bug fix: Fix memory leak when trying to open an MP3 URL with invalid content (#3628)
	- Bug fix: When expanding a playlist, inherit parent station name so display is
	  correct (#3518)
	- Bug fix: Fix memory leak if user decides not to reset device when installing
	  USB Helper (#3689)
	- Bug fix: Fix buffer overrun on receiving file via Exchange Manager with an
	  extension of more than 3 characters (#3699)
	- Bug fix: Clean up text on installer dialog (#3652)
	- Bug fix: Improve message for expansion card removed (#3656)
	- Bug fix: Display correct info when console popped up for streaming playback (#3706)
	- Bug fix: Prevent Edit menu from immediately closing when focus isn't on text field
	  (#1967)
	- Bug fix: Don't show non-playable files such as 100.asx (#3557)
	- Bug fix: Fix interference with HotSync after reset or crash on certain devices
	  (#3588)
	- Bug fix: Correctly identify playlists returned from PHP URLs for services
	  like Ampache (#3342)
	- Bug fix: Fix problem where on exit and restart, sometimes Pocket Tunes would
	  change to playing a different song (#3439)
	- Bug fix: Make sure skin redraws after auto-off while menu displayed (#3529)
	- Bug fix: Improve calculation of bitrate (#3735)
	- Bug fix: Prevent hang when playing very short files (#3645)
	- Bug fix: Allow use of 5-way for scrolling Song Info screen (#3687)
	- Localization: FR: Fix text clipping in Check for Updates dialog (#2473)
	- Localization: TC: Fix clipped field labels on Crossfade Prefs screen (#2523)

2006-10-07			Version 3.1.8
	- Bug fix: Fix incorrect behavior playing MP3 on PXA25x devices.

2006-10-05			Version 3.1.7
	- Enhancement: Eliminate or reduce skipping when certain other applications
	  are running (reported on Treo 700p) (#3246, #3338)
	- Enhancement: Allow Pocket Tunes Deluxe to run on Chinese T|X with CJKOS
	  enabled (#2514)
	- Enhancement: Hide irrelevant options in Copy From PC Prefs screen (#2403)
	- Bug fix: Fix popup of console with 5-way button on T5, T|X, and
	  LifeDrive (#3289)
	- Bug fix: Allow Treo 700p to stream from M3U files served from a port other
	  than 80 (#3288)
	- Bug fix: Fix bug where once the device goes to sleep the skin is only refreshed
	  once every 30 seconds (#3325)
	- Bug fix: Fix some cases where Pocket Tunes would not be registered to handle
	  streaming (#3278)
	- Bug fix: Fix streaming of files with album art in their ID3 tags (#3279)
	- Bug fix: Fix crash when streaming some MP3 streams (#3269)
	- Bug fix: Improve "jump to entry" keyboard processing in Choose Songs (#3113)
	- Bug fix: Improve interaction with KeyLock (#2847)
	- Bug fix: Eliminate keyboard flashing on Treo 700p when doing MTP communication
	  or playing DRM music (#3255)
	- Bug fix: Don't crash when an application sends a poorly-formatted "[playlist]"
	  entry in PLS files (#3341, #3269)
	- Bug fix: Improve song database scanning performance when using an OTA version
	  of Pocket Tunes (#3367)
	- Bug fix: Eliminate crash on Tungsten E when HotSync button is pressed and cable
	  is not connected (#3208)
	- Bug fix: Added keylock support (#2847)
		if palm prefs are set to manual or automatic keylock, pTunes will lock the
		keypad when it blanks the screen, to unlock it press and release the power
		button; if palm prefs are set to manual and pTunes prefs are set to 'power button
		turns off screen', pressing and releasing power button will turn off screen and
		lock keyboard with pTunes still running, pressing and holding the power button
		activate OS keylock and will stop pTunes

2006-07-21			Version 3.1.6
	- Modification: Due to licensing requirements, remove WMA from trial version.
	- Bug fix: Improve skipping on Treo 700p (#3246)

2006-04-21			Version 3.1.5
	- Bug fix: Fixed problem with certain playlists and bookmarks that
	  contained streaming audio URLs (#3161, #3168)
	- Bug fix: Fixed problem with Check for Updates reporting wrong 
	  product upgrade eligibility sometimes (#3152)
	- Bug fix: Fixed crash when running some applications when low battery 
	  condition encountered.
	- Bug fix: Fixed problem with excessive hard disk access on LifeDrive (#2815)
	- Bug fix: Switch to MTP mode after updating from in-ROM version (#3235)

2006-04-03			Version 3.1.4
	- Feature: Highlight repeat and shuffle state on menu. (#2774)
	- Feature: Added support for StyleTap software, enabling support for 
	  running Pocket Tunes on Pocket PC devices, including Treo 700w (#2892)
	- Feature: Added ability to shutdown Pocket Tunes completely via the API (#1810)
	- Enhancement: Better error reporting of MTP errors (#2528)
	- Enhancement: Added option to delete licenses (#2808)
	- Enhancement: Display message when you upgrade from SanDisk-specific 
	  version (#2736)
	- Enhancement: Added ability to show plugins form from skins (#1693)
	- Enhancement: Improve error message when unable to play audio file (#2811)
	- Enhancement: Display a warning message if you try to connect to the PC 
	  without anywhere to store the music (#2843)
	- Enhancement: Dramatically rework handling of PLS files.  They are now
	  handled like a normal playlist and can be edited.
	- Enhancement: Support for M3U extended information.  (#1868)
	- Enhancement: Support for streaming playlists that include other playlists.
	- Enhancement: Hide the "Palm" choice in Choose Songs unless there are 
	  songs stored in internal memory.
	- Enhancement: Perform fewer skin updates on slow devices (Tungsten E,
	  Treo 600, Zire 31, and Zire 71) to improve response time when playing
	  high bitrate files. (#2856)
	- Enhancement: Improve Communicating screen to better indicate when it
	  is safe to disconnect. (#3000)
	- Enhancement: Add option to show console when launched from other apps (#3021)
	- Enhancement: Improve clarity of messages displayed on startup and
	  in the About screen if you update Pocket Tunes from the free version
	  included on some devices (#2907, #2981)
	- Enhancement: Improve clarity of message when Basic users try to play WMA files
	  after trial expires (#2254)
	- Enhancement: Periodically update skin while screen is off so that turning
	  screen on momentarily will show correct song info (#2891)
	- Enhancement: Detect common WMP misconfigurations during Pocket Tunes
	  install and fix some of the more common ones.  Display message to end-user
	  if their system cannot support DRM music and explain why. (#2928)
	- Enhancement: Added 1.5 density (QVGA) bitmaps for common graphics (#2892)
	- Modification: Remove option to install T3 files from installer (#2619)
	- Modification: Remove ability to automatically set name of Internet Audio URL.
	- Modification: Minor internal modifications to check for update protocol (#3063)
	- Bug fix: To prevent out of memory errors, add an option to pre-allocate
	  code memory (turned on by default on NVFS devices) (#2427)
	- Bug fix: Fixed several MTP communication errors (#2502)
	- Bug fix: Disable screen turn-off feature on iQue to prevent unexpected 
	  crashes (#2434)
	- Bug fix: If an alarm obscures the MTP window, keep processing the 
	  communication as much as possible (it will slow down) (#2374)
	- Bug fix: Fixed minor display problem in French version (#2471)
	- Bug fix: Fixed license renewal problem on devices with two storage areas 
	  (e.g. LifeDrive with songs on both hard disk and SD card) (#2860)
	- Bug fix: PDANet no longer needs to be closed to use legacy communication (#2459)
	- Bug fix: No longer report lossless WMA as compatible with legacy service 
	  provider (#2160)
	- Bug fix: Workaround hard disk buffer problem on LifeDrive devices that 
	  was causing skipping and excessive hard disk usage (#2815)
	- Bug fix: Improve robustness of license file after some types of nasty crashes (#2431)
	- Bug fix: Fixed "Copy from PC Prefs" crash on Chinese T|X (#2514)
	- Bug fix: Change copyright dates to 2006 (#2902)
	- Bug fix: To prevent skipping of songs stored in main memory, store
	  internal songs in the hidden VFS volume instead. This change
	  causes the hidden VFS volume to be available to end users as
	  a regular storage volume (#2926, #2987)
	- Bug fix: Change text on download to Pocket Tunes dialog to align
	  with changes for #2950 and #2951 (#2960)
	- Bug fix: Remove "Play" option when downloading to Pocket Tunes (#2951)
	- Bug fix: Make "Save" download option save only, not save and play (#2950)
	- Bug fix: Don't allow copy of in-ROM skins, it causes crash in
          VFSExportDatabaseToFile (#2920)
	- Bug fix: Don't show console if KeyGuard is active. (#2790)
	- Bug fix: Second press of console key dismisses the console. (#2629)
	- Bug fix: Prevent transfer of unsupported files via WMP.  Without the
	  matching PTunesSP the Pocket Tunes change has no effect. (#2615)
	- Bug fixes: Spanish display problems. (#2799, #2800, #2804, #2806)
	- Bug fix: Rename the built-in volume to "Internal Memory" wherever
	  it appears on NVFS devices.  Remove built-in volume from Copy from
	  PC Prefs and Choose Songs screens on NVFS devices that don't have
	  any music stored internally. (#2992, #3055)
	- Bug fix: Fix problem with cards that have no volume label. (#3019)
	- Bug fix: Fixed skipping during crossfade on some devices. (#2974)
	- Bug fix: Fixed numerous problems playing back music from BUILTIN area
	  on some devices (e.g. T|X and Tungsten E2)
	- Bug fix: Fix undesired automatic switch to MTP mode when entering reg 
	  code (#2936)
	- Bug fix: Fixed stuttering that could occur when changing tracks with 
	  crossfade enabled (#2203)
	- Bug fix: Fixed problem where some streaming audio played too fast (#2029)
	- Bug fix: Handle files that are in use during installation (#1907)
	- Bug fix: Update doc files for new DRM-supported devices (#2888)
	- Bug fix: Correctly handle update to pre-installed version even when the
	  pre-installed version has never been run (#2933)
	- Bug fix: Fix typo on low-res version of "HiFi" skin (#2973)
	- Bug fix: Fix menu tap height on high-res version of "HiFi" skin (#2769)
	- Bug fix: Fixed overflow in MP3 decoder that caused really long 
	  high-quality audio books to lose 	their place (#2996)
	- Bug fix: Fixed problem with playlists getting renamed to "Untitled" on
	  some NVFS devices (notably the T|X) (#2955, #3082)
	- Bug fix: Fixed problem playing copy-protected WMA files ripped from CDs
	  using Windows Media Player (#2456)
	- Bug fix: Removed MTP option from pulldown when it is not available (#3035)
	- Bug fix: Make 'T' and 'H' accelerators toggle repeat and shuffle off
	  as well as on (#3054)
	- Bug fix: Prevent 5-way navigation off end of playlist from stopping
	  the current song (#3047)
	- Bug fix: Make menu item and form title consistent for Song Info
	  (#3053)
	- Bug fix: Fix 'T' and 'H' accelerators to toggle Repeat and Shuffle
	  off as well as on (#3054)
	- Bug fix: Ensure database appinfo blocks are correctly flushed so that
	  a reset doesn't revert playlist titles to "Untitled" on some devices
	  (#2955, #3082)
	- Bug fix: Alert user when Pocket Tunes stops playing due to low battery
	  (#3109)
	- Localization: Ensure each locale has "prefs" resource (#3031)
	- Localization: Minor translation fixes (#2105, #2471, #2889)
	- Localization: Remove extraneous string on Treo Spanish Advanced Prefs
	  screen (#2988)
	- Localization: Fix 5-way navigation through General Preferences screen in
	  Spanish locale (#2894)
	- Localization: Fix tip text that became inconsistent due to prior changes.
	  (#2881)
	- Localization: Change Spanish strings. (#2834, #2835, #2836, #2837, #2838)
	- Localization: Fix missing screenshots in Chinese user guides (#2899)
	- Localization: BP: Fix truncated font names on Skin Preferences Form (#3077)
	- Localization: BP: Fix truncated clipped left border on Prefs menu (#3077)
	- Localization: FR: Fix truncated message in "Checking for Updates" dialog (#3077)
	- Localization: IT: Fix truncated font names on Skin Preferences Form (#3077)

2005-??			Version 3.1.3
	- Feature: Added DRM support for Treo 600, Tungsten E, and Zire 71 (#2270)
	- Feature: Side button on Treo 650 now works to play/pause music
	- Enhancement: Improve battery life when screen is off (#2196)
	- Enhancement: Allow storing music to internal memory on T|X when using MTP (#2126)
	- Enhancement: Add a message when it's safe to disconnect MTP (#2457)
	- Enhancement: Speed up WMA decoding to minimize foreground delays (#2311)
	- Enhancement: Add "Found New Hardware" wizard explanation after install
	  completes (#2519)
	- API: Added File browser option to the API (sublaunchable picker)
	- API: Add API call to cause the power button to stop playing music. (#2511)
	- Bug fix: Change "Treo 600" to "Treo" in background preferences (#2492)
	- Bug Fix: Legacy communication can now take place even if you haven't performed a HotSync
	  operation (#2494)
	- Bug fix: Fixed crash scanning card if there are non-displayable
	  directories (#2521)
	- Bug fix: Prevent infinite loop with frmObjectFocusLostEvent. (#2493)
	- Bug fix: Hide File Browser option if File Browser is not installed
	- Bug fix: Metering bug fixes for music stores that support it (#2462)
	- Bug fix: Minimize background processing when device is being used
	  interactively (#2302)
	- Bug fix: Fix screen turn-off problem on slow devices (#2425)
	- Bug fix: Fix auto-dismiss of some warning messages (#2177)
	- Bug fix: Fix installer to correctly set MTP mode when using WMP 9 with
	  Rhapsody installed (#2064)
	- Bug fix: Fix problems with album/artist names that end in a
	  period (e.g. "R.E.M.") (#2298)
	- Bug fix: Fix problem with "can't play song"-type error message appearing
	  multiple times (#1601)
	- Bug fix: Fix crash that rarely occurred when ejecting SD card (#2536)
	- Bug fix: Improve handling of incoming phone calls (#2533)
	- Bug fix: Don't trigger the console if the pressed key is waking up the
	  device. (#2747)
	- Bug fix: Remove advanced options that do not apply to the Treo when
	  running on a Treo. (#2722)
	- Bug fix: Don't show option for power button to turn off the screen when
	  the device is a Treo. (#2756)
	- Bug fix: Allow space bar to pause/play.  When the console is up, 0 or Alt
	  dismisses it. (#2630)
	- Bug fix: Side buttons control volume when in pTunes even if music is
	  stopped. (#2604)
	- Bug fix: Ensure inactive sound streams are closed when turning off.
	  (#2637)
	- Bug fix: Changing the case of a playlist name no longer mangles it.
	  (#2682)
	- Bug fix: Don't allow a playlist with a blank name. (#2678)
	- Bug fix: Fix second press of console button to dismiss console (#2629)
	- Localization: Chinese translation improvements

2005-07-22			Version 3.1.1
	- Bug fix: Fixed crash on LifeDrive when checking for updates (#2421)
	- Bug fix: Fixed reconnection problem with streaming audio (#2423)

2005-07-18			Version 3.1
	- Feature: Add support for downloadable/purchasable music from popular 
	  online music stores (#1453)
	- Feature: Added support for MTP communication protocol to allow better 
	  integration with Windows Media Player and other PC player software

2005-03-31			Version 3.0.9
	- API: Added call to reset idle timer to keep the screen from turning off (#2083)
	- Bug fix: Fixed handle leak (#2069, 2072)
	- Bug fix: Fixed improper pause/resume behavior on GSM Treos. (#2091)
	- Bug fix: Fixed unusual hang when streaming audio on T5 (#2094)
	- Localization: Added tips to some dialogs for Italian, Brazilian 
	  Portuguese, French, Spanish
	- Localization: Various changes. (#2049, #2053, #2073, #2074, #2075, #2076, 
	  #2077, #2078, #2079)

2005-03-21			Version 3.0.8
	- Bug fix: Fixed crash after 15th launch of pTunes on some devices (#2069)
	- Bug fix: Focus ring highlight bug in Choose songs screen (#2059)

2005-03-05			Version 3.0.7
	- Feature: Added support for 5-way navigation of skins on supported devices
	- Feature: Add improved support for transfering music with RealPlayer 
	  (#1879, ...)
	- Feature: Increased streaming audio buffer to 256KB (#41)
	- Enhancement: Updated icons in Choose Song screen (#1834)
	- Enhancement: More skin features
	- Enhancement: Skins that have a slider bar on top of a progress bar now 
	  display properly.
	- Enhancement: Add skin support for sliders whose minVal is greater than 
	  the maxVal.
	- Enhancement: Redesign of popup console. (#1777)
	- Enhancement: 5-way navigation works in popup console when music is paused (#1776)
	- Enhancement: Added skin option for playlist not to draw up/down arrows (#1903)
	- Enhancement: Added skin option for playlist to use inverse video for 
	  selection (#1904)
	- Enhancement: Enhanced auto update (#1814)
	- Enhancement: Resume playback after phone call finishes (#1933)
	- Enhancement: If SD card is removed while song is playing from it, song is 
	  unselected (#1973)
	- Enhancement: Added new API function so that ring tone players can disable 
	  the auto-pause functionality of Pocket Tunes (#2009)
	- Modification: Renamed ShoutCast to Internet audio (#1822)
	- Modification: New Pocket Tunes and NormSoft icons! (#1905)
	- Modification: Renamed "Playlist" to "Manage Playlists" (#1942)
	- Modification: Error messages no longer specific to WMP (#1888)
	- Modification: Update copyright to 2005 (#1992)
	- Modification: Modify the 5-way navigation behavior to match newer devices (#2042)
	- Modification: Moved "Manage Playlists" menu item to top of Actions menu (#2020)
	- Bug fix: Fixed bug that prevented new skin strings from working
	- Bug fix: Fixed song duration display bug with medium/small fonts (#1890)
	- Bug fix: Fixed display problem for UTF16 ID3v2 tags (#1893)
	- Bug fix: Fixed display problem for WMA files without metadata (#1895)
	- Bug fix: Fixed bug that caused ChangedCondition skin action to always fire
	- Bug fix: Fixed flickering with skin progress bar (#1896)
	- Bug fix: Fixed problem where transparent non-scrolling text area might 
	  sometimes scroll.
	- Bug fix: Fixed redraw issue when resizing screen on T5. (#1852)
	- Bug fix: Work aroud a timing bug on T5 that causes virtual graffiti area 
	  to get "stuck" while playing music (#1897)
	- Bug fix: Fixed bug that could cause PC to crash when using WMP and 
	  Real Desktop at the same time. (#1870)
	- Bug fix: Fixed screen corruption problem when resizing screen with a list 
	  of items.
	- Bug fix: Added 5-way navigation of the bookmarks screen.
	- Bug fix: Fixed communication error when saving large files to NVFS. (#1913)
	- Bug fix: Song duration wasn't displaying on built-in skin (#1892)
	- Bug fix: Sometimes power came back on with TT5 immediately after turning 
	  off (#1894)
	- Bug fix: Treo 600/650 loses USB connection when screen turns off (#1529)
	- Bug fix: Fixed problem with GlooNet where it doesn't advance to the next 
	  song when using M3U files (#1898)
	- Bug fix: Fixed problem with GlooNet where pausing would cause a 
	  disconnect (#1899)
	- Bug fix: Fixed rare crash on startup (#1948)
	- Bug fix: Tapping OK in Choose Songs with nothing selected no longer 
	  erases your song list. (#1953)
	- Bug fix: Splash screen doesn't come up if music is already playing (#1956)
	- Bug fix: Fixed problem with RealPlayer where you couldn't delete music 
	  that had just been copied over (#1880)
	- Bug fix: Fixed problem where songs appeared 4 times in RealPlayer (#1882)
	- Bug fix: Fixed crash when deleting the current in-memory playlist (#1969)
	- Bug fix: Fixed minor memory leak with USB communication library (#1972)
	- Bug fix: Fixed minor memory leak in skin code (#1972)
	- Bug fix: Disable hot keys when features aren't available (#1960)
	- Bug fix: Left/Right buttons now work on new devices for background 
	  console triggering (#1971)
	- Bug fix: Fixed default buttons on all alerts (#1975)
	- Bug fix: Fixed hang when popup occurs over splash screen (#1995)
	- Bug fix: M3U playlists are now allowed with non-English characters (#1891)
	- Bug fix: Fix reading WMA files with text-based track #s and years (#1909)
	- Bug fix: Properly pause playback on incoming/outgoing call on Treo 650 (#1927)
	- Bug fix: Fixed bug reading/creating M3U playlists on cards with no names (#1966)
	- Bug fix: Use _ as default character when receiving files via Bluetooth, 
	  and don't convert spaces to anything to solve problem with some broken 
	  media software (#2018)
	- Bug fix: Fix minor resource leak when switching apps while music is 
	  paused (#2033)
	- Bug fix: Fixed uninstaller bug.

2004-12-11			Version 3.0.6
	- Feature: Support for storing playlists on cards (M3U format) (#729)
	- Feature: Support for playing M3U files from Exchange-aware file browsers.
	- Feature: Support for HTTP redirects for streaming audio - enables 
	  support for Live365 streams - www.live365.com (#470)
	- Feature: Added option to show song duration in playlists (#1772)
	- Feature: Added "Copy from PC Prefs" screen to specify where files are 
	  copied when copying music from the PC (#1778)
	- Feature: Improved support for non-English tags for OGG, WMA, and MP3 
	  (#1780, #1781)
	- Feature: Added background preference item to display the popup console 
	  when playing music from File Browser (#1835)
	- Feature: Add Playlists category in Choose Songs screen.  Allows for 
	  multi-select of playlists. (#1833)
	- Feature: Add support for resizable screens on all forms that are 
	  potentially resizable (#1775)
	- Enhancement: Music no longer pauses when going to playlists screen!! (#1774)
	- Enhancement: Added new skins strings/integers (#1763)
	- Enhancement: Improve MP3 audio quality
	- Enhancement: Added splash screen to demo version (#1758)
	- Modification: Change default category to Multimedia instead of Unfiled (#1825)
	- Modification: Improved the error message when a song was deleted (#1861)
	- Modification: Updated help page resources and added a few new ones (#1848)
	- Bug fix: Windows Media Player will no longer try to copy WMA files when 
	  using the Basic version (#1779)
	- Bug fix: Fixed minor memory leak. (#1787)
	- Bug fix: Fixed very rare memory access bug (#1796)
	- Bug fix: Fixed skipping during crossfade on devices with flash RAM (e.g. 
	  Treo 650) (#1606)
	- Bug fix: Fix for not being able to turn off screen for 5 mins after 
	  communicating with Windows Media Player. (#1746)
	- Bug fix: Added extra warnings against installing T3 helper files on other 
	  devices (#1807)
	- Bug fix: MP3 files now go to /Music on the internal memory of T5 by 
	  default (#1841)
	- Bug fix: WMA (and other formats) now go to the same folder as .mp3 files (#1841)
	- Bug fix: Fix spurious error message on PC when disconnecting Palm during 
	  USB communication (#1842)
	- Bug fix: Skins could unintentionally disable the snooze timer (#1864)
	- Bug fix: Fix problem with some streams that play too fast (#1863)
	- Bug fix: Fix hang when playing certain unsupported WAV files from email (#1869)

	Since beta1:
	- Enhancement: Speed up display of playlists that are in 
	  /PALM/Programs/PocketTunes.  If your playlists are in a different 
	  location, you'll need to wait for the magnifying glass icon to disappear. (#1805)
	- Enhancement: Dramatically speed up loading of M3U playlists (#1840)
	- Bug fix: Fix loading M3U files with PC paths (#1806)
	- Bug fix: Fix crash that could occur when switching applications while 
	  playing an M3U playlist. (#1818)

2004-10-19			Version 3.0.5
	- Feature: Support for playing music from T5 file browser (#1747)
	- Enhancement: WMA files can now be played via Exchange Manager - they 
	  must be saved to a card first or played from the T5's FileBrowser. (#1753)
	- Bug fix: Fixed problem with 5-way on GSM Treo 600s.
	- Bug fix: Fixed potential crash on Tungsten T5 due to API inconsistency. (#1740)
	- Bug fix: Some localized versions did not have Check for Updates menu item. (#1739)
	- Bug fix: Ensure that the free space listed in crossfade prefs and in 
	  Windows Media Player is calculated correctly on T5 due to new memory 
	  architecture. (#1751)
	- Bug fix: Disable RealPlayer from being used in the T5's FileBrowser while 
	  pTunes is installed.  This is required due to a bug in FileBrowser that 
	  prevents pTunes from working if RealPlayer is registered. (#1750)
	- Bug fix: Increased network timeout when checking for updates.

2004-10-07			Version 3.0.4
	- Feature: Automatically check for updates every 30 days on network-enabled devices.
	- Enhancement: HiFi skin can now switch between MM/DD date format
	  and DD/MM format by tapping on the date.
	- Bug fix: Minor bug fixes with HiFi skin.
	- Bug fix: Improved compatibility with all devices. (#1694)
	- Bug fix: Pick the correct defaut skin based on the resolution of the 
	  device (#1695)

2004-09-03			Version 3.0.3
	- Bug fix: Fix for some devices (e.g. Zire 71, Treo 600) to work with WMP 10 (#1674)

2004-08-11			Version 3.0.2
	- Feature: Enable screen turn off on iQue 3600. (#1368)
	- Feature: Menus can be accessed by typing the accelerator key without
	  going to the menu first (#1633)
	- Feature: Pressing a-z or 0-9 while choosing songs jumps to the first 
	  song with that letter/number. (#1474)
	- Enhancement: Add warning when USB communications error occurs.
	- Enhancement: Speed up loading of MP3 files.
	- Enhancement: Keep Palm on for at least 5 minutes after communicating with PC to 
	  avoid interrupted communications (#1582)
	- Bug fix: Fixed crash on T3 playing 24kHz (T3 can't use 24kHz due to bug
	  in OS). (#1660)
	- Bug fix: Added warning if PDANet is running, asking user to shut it down 
	  before trying to copy files.  (#1654)
	- Bug fix: Don't allow running on PalmOS 6 (PalmOS 6 version coming soon) (#1656)
	- Bug fix: Fixed unusual crashes when some plugins are not loaded /
	  unavailable (#1647, 1648)
	- Bug fix: Fixed Treo 600 nav bug with menus on Choose Songs and Edit 
	  Playlist screens (#1332)
	- Bug fix: Fixed background play detection to work correctly when an 
	  "interrupted" song is being played from the API. (#1376)
	- Bug fix: Fixed divide by 0 error in Ogg plugin (#1480)
	- Bug fix: Fixed screen redraw problem on Zire 31 with sliders (#1587)
	- Bug fix: Fixed crash when pTunes is run from expansion card while playing 
	  in background (#32)
	- Bug fix: Fixed crash due to memory exhaustion scanning corrupt cards (#1479)
	- Bug fix: Fixed crash with DateBk5 with background button set to the 
	  datebook button (#1635)
	- Bug fix: Fixed crash with invalid API call (append to empty playlist) (#1447)
	- Bug fix: Fixed focus of "Untitled" when creating new playlist on Treo 600 (#1637)
	- Bug fix: To avoid apparent lockups, limit scanning for MP3 frames to the first
	  128K of non-tag data.  Also speed up skipping of large tag data. (#1659)
	- Bug fix: If expansion card is removed while playing WAV files, display 
	  0:00 for the song position instead of a random number. (#1512)

2004-06-18			Version 3.0.1
	- Bug fix: Fix ocassional crash at end of MP3 files. (#1612)
	- Bug fix: Fix ocassional crash with WiFile (#1605)
	- Bug fix: When scanning, ignore ._ files from MacOS X (#1604)
	- Bug fix: Clarify term of license. (#1608)
	- Bug fix: Fixed artist display for some WMA files.  If you have an Unknown 
	  or incorrect artist displayed for a WMA file, eject your card and 
	  re-insert it while Pocket Tunes is running to re-index the music. (#1602)

2004-06-11			Version 3.0
	- Feature: WMA support. (#982)
	- Feature: Windows Media Player interface for organizing and loading audio 
	  files (#1397)
	- Feature: Songs can now be browsed by artist, album, and/or genre. (#951)
	- Feature: Play Lists are automatically updated when songs are 
	  added/removed.
	- Feature: WAV files can be streamed from email/web without an expansion card.
	- Feature: Added plugins screen to manage installed plugins (#1501)
	- Feature: Support for Sony's jog dial, left/right buttons on TH55, and 
	  remote on NX series. (#70)
	- Enhancement: Ogg Vorbis is now a separate plugin. (#952)
	- Enhancement: WAV is now a separate plugin. (#1395)
	- Enhancement: Support for .mp1 and .mp2 files (#959)
	- Enhancement: Ad-hoc playlists keep playing when choosing playlists.
	  Named playlists will still be paused.
	- Modification: Select All returns immediately now.
	- Bug fix: Work around a LAME encoder bug for calculating song duration for
	  some VBR MP3 files.
	- Bug fix: Fixed crash on Zodiac/Treo when switching apps when paused 
	  (#1441, #1470)
	- Bug fix: Improved error handling in low memory situations.
	- Bug fix: Improved volume response at very low levels (#1579)
	- Bug fix: Plugging/unplugging Treo 600 no longer pauses (#15)
	- Bug fix: If you rename your card or move files to a new card, Pocket 
	  Tunes will find the new files and automatically update the playlist (#856)
	- Bug fix: Better handling of when there are 2 cards with the same name (#1247)
	- Bug fix: Fixed screeching noise when seeking in MP3 files (#1452)
	- Bug fix: Fix display of song titles with duplicate tags (#1472)
	- Bug fix: Fixed free space reporting in WMP and Crossfade prefs (#1569, #1583)
	- Bug fix: You can now delete the currently-playing song (#1552)
	- Bug fix: Fix potential crash with skin loaded from SD card (#1595)
	- Bug fix: Fixed crash when using custom font and displaying time form on 
	  Tungsten T3 (#1596)

internal release		Version 3.0b5
	- Bug fix: Don't automatically communicate with PC on CLIE devices.  It was 
	  causing HotSync manager to lock up.  CLIE users must select the new 
	  "Connect to PC" option in the Actions menu. (#1580)
	- Bug fix: Don't try to open all files on the card, just audio files. (#1593)
	- Bug fix: Scan for new audio files slower to try to reduce skipping.
	- Bug fix: Fix potential crash with skin loaded from SD card (#1595)
	- Bug fix: Fix USB connection problem when connecting USB cable after 
	  starting Pocket Tunes (#1589)
	- Bug fix: Fixed crash when using custom font and displaying time form on 
	  Tungsten T3 (#1596)
	- Bug fix: Fixed bugs relating to USB connection problems (#1597, #1589)
	- Bug fix: Fixed crash when trying to do USB communication immediately on 
	  starting Pocket Tunes (#1599)

2004-06-04			Version 3.0b4
	- Feature: Added plugins screen to manage installed plugins (#1501)
	- Feature: Support for Sony's jog dial, left/right buttons on TH55, and 
	  remote on NX series. (#70)
	- Modification: Search entire expansion card, not just audio dirs (#1509)
	- Bug fix: Improved error handling in low memory situations, especially 
	  with Ogg Vorbis plugin (#1481).
	- Bug fix: Improved volume response at very low levels (#1579)
	- Bug fix: Plugging/unplugging Treo 600 no longer pauses (#15)
	- Bug fix: Fixed crash when opening certain WMA files (#1576)
	- Bug fix: Added icon to installer (#1504)
	- Bug fix: Added message to uninstaller to close WMP (#1539)
	- Bug fix: Added instructions in uninstaller for deleting from Palm (#1537)
	- Bug fix: Added instructions to perform a reboot after uninstalling (#1536)
	- Bug fix: If you rename your card or move files to a new card, Pocket 
	  Tunes will find the new files and automatically update the playlist (#856)
	- Bug fix: Better handling of when there are 2 cards with the same name (#1247)
	- Bug fix: Fixed screeching noise when seeking in MP3 files (#1452)
	- Bug fix: Fix display of song titles with duplicate tags (#1472)
	- Bug fix: Fixed bug adding multiple of the same song to automatic 
	  playlists (#1485)
	- Bug fix: Improved communication with PC, esp. on NX80.
	- Bug fix: Display error message when trying to play DRM-protected WMA (#1454)
	- Bug fix: Properly remember "Palm" choice in Choose Songs screen (#1525)
	- Bug fix: Pause playback when installing new files from the PC (#1519)
	- Bug fix: If there's a crash while indexing a file, we'll display a 
	  warning and ask the user if he wants to ignore or delete the file (#1518)
	- Bug fix: Fix problem transferring file when WMP wants to rename it (#1535)
	- Bug fix: If file transfer is interrupted, delete the partial file (#1540)
	- Bug fix: Renamed setup.exe to PocketTunesSetup.exe to avoid a WinZip bug 
	  (#1544)
	- Bug fix: Added help text for "Disable PC communications" in adv. prefs (#1562)
	- Bug fix: Fixed free space reporting in WMP and Crossfade prefs (#1569, #1583)
	- Bug fix: Make sure "All Content" appears first in Choose Songs (#1508)
	- Bug fix: Pause music playback when scanning song db to prevent skipping (#1554)
	- Bug fix: Reduce # of background tasks we perform to avoid skipping (#1578)
	- Bug fix: You can now delete the currently-playing song (#1552)
	- Bug fix: Clarify "invalid reg code" message. (#1553)

2004-05-28			Version 3.0b3
	- Feature: Playlists now show the title of the song, not the filename. (#1510)
	- Enhancement: Support for .mp1 and .mp2 files (#959)
	- Enhancement: Ad-hoc playlists keep playing when choosing playlists.  
	  Named playlists will still be paused.
	- Bug fix: Fixed crash when shuffle is enabled and you insert a new card (#1561)
	- Bug fix: Fixed bug in WMA decoder that crashed with songs that had large 
	  blocks of metadata (#1475)
	- Bug fix: Fixed certain WMA files that didn't play (#1555, #1557)
	- Bug fix: Allow for ASF file extensions (#1466)
	- Bug fix: Do not use the "Internal" RAM disk on the Zodiac when 
	  transferring files (#1546)
	- Bug fix: Do not try to write to read-only cards when transferring files (#1551)
	- Bug fix: 24kHz/48kHz was incorrectly disabled on the T3 (#1566)
	- Bug fix: Fixed crash on playlists screen while indexing songs (#1568)
	- Bug fix: If we can't get the username from the device, don't show it in WMP (#1556)
	- Bug fix: Display an error message and don't communicate with Palm if we 
	  can't shut down HotSync manager when it's required. (#1565)
	- Bug fix: Fixed crash on Zodiac/Treo when switching apps when paused 
	  (#1441, #1470)

2004-05-24		Version 3.0b2
	- Enhancement: Added advanced prefs option to disable PC communication. (#1496)
	- Bug fix: Fixed bug with missing C:\TEMP folder
	- Bug fix: Fixed bug with deleting music through WMP. (#1487)
	- Bug fix: Truncate filenames for internal storage, as needed (#1520)
	- Bug fix: Songs are added to the song DB after transfering with WMP (#1489)
	- Bug fix: Improved USB protocol to be more robust (#1493)
	- Bug fix: Reorder "All Content" to be first in WMP (#1495)
	- Bug fix: WMP communication now works from anywhere in pTunes, not just 
	  the main display.  When needed, pTunes will popup a "Please Wait" message 
	  when it is busy communicating and shouldn't be interrupted. (#1522)
	- Bug fix: Don't allow screen to turn off while communicating with PC.
	- Bug fix: If we copy the same file (or a file that collides with the same 
	  name as an existing file), then we generate a unique filename (#1521)
	- Bug fix: WMP refreshes when plugging in/out the Palm and also after a 
	  file transfer (#1488, #1494)
	- Bug fix: WMP closes down HotSync manager for CLIE handhelds (#1486)
	- Modification: WMP now shows artist, all content, etc. instead of folder view.
	- Modification: Song title area shows WMP communication messages (#1490)

2004-05-17		Version 3.0b1.1
	- Beta Bug fix: Fixed install bug registering components

2004-04-14		Version 2.3.4
	- Bug fix: Fixed problem with vertical sliders (#1436)
	- Bug fix: Fixed problem with crossfade not working

2004-04-12		Version 2.3.3
	- Bug fix: Fixed problem with Pocket Tunes API kPocketTunesActionGetValue
	  that could cause a crash (#1426)
	- Bug fix: Balance was slightly off-center even with the slider centered. (#1382)
	- Bug fix: If /Audio doesn't exist when accepting an audio file via 
	  Exchange, then create it (#1387)
	- Bug fix: Fixed Sys error that can occur on T3 if you don't install the 
	  supporting PRC files (#1414)
	- Bug fix: Network M3U files with no line-ending would not load properly (#1383)
	- Bug fix: Fixed ShoutCast song title corruption problem when reconnecting 
	  (#1429, #1419)
	- Bug fix: Fix crash when networking is turned off while playing ShoutCast 
	  (e.g. by quitting NetFront) (#496)
	- Bug fix: Automatically reconnect when quitting NetFront if the 
	  Disconnect on Termination setting is on and ShoutCast is playing.
	- Bug fix: Fixed crash when using Button 1 for the popup console on TH55 (#1417)
	- Bug fix: Fixed problem with screen turning back on when turning it off 
	  with the power button the Zodiac (#1371)
	- Bug fix: Fixed a rare crash that could occur when crossfading short audio 
	  files (#37)
	- Bug fix: Didn't remember your directory when using an unlabeled card (#1432)
	- Release note: Added release notes document, which includes known bugs, etc.

2004-02-27		Version 2.3.2
	- Bug fix: Fixed crash with ShoutCast stations that buffer for 20 seconds

2004-02-26		Version 2.3.1
	- Bug fix: Fixed crash when playing music from other apps (LightWav, etc.)
	- Bug fix: Fixed bug with shuffle/repeat in API.

2004-02-25		Version 2.3
	- Feature: Support M3U files accessed from a web page. (#729)
	- Feature: Support playing MP3/OGG files from an HTTP URL. (#1302)
	- Feature: Support Exchange manager for playing MP3, Ogg, and WAV files (#521)
	- Feature: Added option for power button to turn off screen (#728)
	- Feature: Support reading audio files in main memory (#966)
	- Enhancement: Added ability to get volume, get/set volume boost, get/set 
	  song position, and get song duration from API (#903, #433)
	- Enhancement: Added API flag to play a song without affecting the 
	  currently-playing music (#732)
	- Enhancement: Improved buffering for inconsistent connections (#1214)
	- Enhancement: Improve volume boost to improve audio quality (#991)
	- Bug fix: Fixed some memory leaks.
	- Bug fix: Fixed an overflow bug with streaming audio.
	- Bug fix: You can now use the power button to turn the screen back on (#255)
	- Bug fix: Switch from Brushed Metal to High Fidelity for default skin (#1248)
	- Bug fix: Fix rare memory corruption/leak when using crossfade (#1353)
	- Bug fix: Tapping "Open" when adding a ShoutCast stream no longer exits 
	  the web browser on Treo 600. (#1372)
	- Bug fix: No longer turn off screen after track is finished on Treo 600 (#1367)
	- Bug fix: Improve device compatibility (#1373)

2004-01-30		Version 2.2.1
	- Bug fix: Fixed a problem that could cause Treo 600 to ignore all keys 
	  when using certain other software.
	- Bug fix: Fixed screen lockup problem on Tapwave Zodiac. (#1239)
	- Bug fix: Lowering volume on Treo 600 with volume buttons would go back to 
	  full volume after lowering all the way (#1246)

2004-01-26		Version 2.2
	- Feature: Added a "real" equalizer in place of the MP3-only equalizer. (#958)
	- Feature: Support using Treo 600 volume buttons to change Pocket Tunes 
	  volume (#1057)
	- Feature: Add support for ShoutCast stations that require authorization, 
	  such as di.fm's premium stations.
	- Feature: New default skin designed by Lance Wehrung (lance at palmfocus.com)
	- Feature: Enabled screen turn-off on Tapwave Zodiac. (#487)
	- Feature: Enabled background console with Tapwave Zodiac and added Zodiac-
	  specific buttons to the background button choices. (#931)
	- Feature: Tapwave Zodiac action buttons can now be used to change tracks.
	- Feature: By default, Zodiac action buttons control volume and tracks 
	  while in other apps.  Can be turned off from background prefs screen. (#943)
	- Feature: Added option to swap 5-way navigator axes (#942)
	- Enhancement: Added new skin conditions (#934)
	- Enhancement: Added new skin integers (#937)
	- Enhancement: Added new skin actions (#936)
	- Enhancement: Added ability to negate the left or right hand side of a 
	  conditional expression when defining a skin. (#935)
	- Bug fix: Fixed problem with integer operations in skins (#505)
	- Bug fix: Fixed some minor problems on devices without a DIA.
	- Bug fix: Improved robustness when encountering bad filenames.
	- Bug fix: Fixed problems with rotating screen on Tapwave Zodiac
	- Bug fix: Fixed minor skin redraw problem with progress bars (#1136)
	- Bug fix: Fixed bug where playlist wouldn't display current song when 
	  starting up (#1071)
	- Bug fix: Fixed bug where using wide/tall skins in landscape mode could 
	  cause screen to rotate unexpectedly on the T3 (#1146)
	- Bug fix: Fixed problem when button pressed or held event opens dialog (#1153)

2003-11-18	Version 2.1.1
	- Modification: Registration code changes (#284)
	- Bug fix: Fixed excessive refreshing of skin when closing playlist screen 
	  on T3 with tall/wide skin (#272)
	- Bug fix: Fixed redraw problem on UX50 with wide skins (#278)
	- Bug fix: Fixed crash that could occur in low memory situations (#449)
	- Bug fix: Fixed problem accessing certain ShoutCast stations (#466)
	- Bug fix: Fixed problem where pTunes would continuously try to reconnect 
	  to the network when no wireless network is available (#273)
	- Bug fix: Don't reconnect if the user has hit stop or pause (#474)
	- Bug fix: Sliders and text areas weren't being hidden correctly sometimes (#478)
	- Bug fix: Minimize flashing when opening/closing DIA (#293)
	- Bug fix: Don't force the orientation/DIA state when starting Pocket Tunes 
	  with a skin that supports large screens (#279)

2003-11-12	Version 2.1
	- Feature: All new skin support!
		- Battery indicator
		- Time display
		- Buttons on screen respond to 5-way navigator
		- Scan foreward/backward by pressing next/prev tracks on screen
		- Transparent background
		- Change song position without pausing
		- much less flickering
		- smaller skins due to compression
		- custom font choices
		- Skin developers can take advantage of the following new features:
			- Unlimited number of controls.
			- Automate almost any aspect of Pocket Tunes through the skin (turn 
			  off screen, set any preference item, control the audio, bring up any 
			  dialog, etc.)
			- Include custom fonts in your skin.
			- Transparent bitmap and font support.
			- 8-bit display support.
			- Progress bar indicator (e.g. for battery level).
			- Vertical slider controls.
			- Buttons can now represent the current state of audio playback.
			- Buttons can now appear pressed when the hardware keys are pressed.
			- Much more!
	- Feature: ShoutCast streaming audio support.
	- Feature: ShoutCast streams can be launched from any Exchange 
	  Manager-compatible web browser by tapping on the PLS link.
	- Feature: Treo 600 will now display high-res skins.
	- Feature: Added a Pocket Tunes API (email support at pocket-tunes.com for 
	  details)
	- Enhancement: Music keeps playing when browsing for a new song.
	- Enhancement: Playlists no longer display pathname.
	- Enhancement: Playlist editing is much faster.
	- Enhancement: Filenames are now sorted in the Choose Songs screen.
	- Enhancement: Added "Song Info" to Actions menu.
	- Enhancement: Improved volume curves for better control of low volume (#146)
	- Modification: Changed shortcut key for "Turn off Screen" to "C"; "2" 
	  didn't work on some devices.
	- Bug fix: Fix playing of certain MP3 files with garbage before their first 
	  frames (#59)
	- Bug fix: Popup console now works when in the web browser or other PalmOS 
	  5 native applications (#156)
	- Bug fix: Fixed problem where files on expansion card could be ignored if 
	  files exist with certain non-English characters.
	- Bug fix: Fixed bug where Registration dialog didn't always come up.
	- Bug fix: Use "Unnamed Card" for cards without a name.
	- Bug fix: Changed shortcut key for "Shuffle" to H (F was used twice).
	- Bug fix: Fixed crash that could occur with the file browser (#35)

	Changes since 2.1b7
	- Bug fix: Fixed playlist redraw problem with tall/wide skins (#206)
	- Bug fix: Integer operators were not being evaluated correctly (#212)
	- Bug fix: iQue 3600: Redraw problems when opening DIA from other form (#68)
	- Bug fix: iQue 3600: Doesn't redraw tall skins properly on startup (#204)
	- Bug fix: iQue 3600: Redraw over DIA in some cases (#208)
	- Bug fix: iQue 3600: Fixed button display corruption problem (#205)
	- Bug fix: Controls can now be layered on top of each other (#224)
	- Bug fix: Hidden playlists still responded to pen input (#231)

2003-11-10	Version 2.1b7 (beta release, changes since b6)
	- Feature: Added "Rename" menu item to Choose Songs screen for ShoutCast (#25)
	- Enhancement: Improved volume curves for better control of low volume (#146)
	- Enhancement: Improved speed of debug logging (#157)
	- Enhancement: Darker color for small font on Brushed Metal skin (#46)
	- Enhancement: Lots of cleanup on the Brushed Metal skin (#56)
	- Enhancement: Added low res skins.
	- Enhancement: Low res skins have 3 tiny fonts.
	- Enhancement: Added several new functions to the API (#17)
	- Enhancement: Added Treo 600 signal & battery indicator to built-in skin (#52)
	- Bug fix: Fix playing of certain MP3 files with garbage before their first 
	  frames (#59)
	- Bug fix: Popup console now works when in the web browser or other PalmOS 
	  5 native applications (#156)
	- Bug fix: Don't show "Duration" for ShoutCast stations (#92)
	- Bug fix: Fix minor scrolling issue with large fonts on old skins (#160)
	- Bug fix: Disable position slider for ShoutCast stations (#113)
	- Bug fix: Skin time value was not updating properly (#165)
	- Bug fix: ShoutCast stations load much more quickly when tapping on PLS (#19)
	- Bug fix: Fix crash that could occur when pressing pause (#191)
	- Bug fix: Sometimes "Reconnecting..." message wouldn't go away (#20)
	- Bug fix: ShoutCast titles sometimes had bogus characters at the end (#192)
	- Bug fix: Fix crash that could occur when reconnecting (#193)
	- Bug fix: If station transmits an empty song title, show the station title 
	  instead (#24)
	- Bug fix: Fixed ocassional stuttering problem with ShoutCast playing in 
	  the background (#182)
	- Bug fix: Fix drawing problem when menu command bar pops up (#45)

2003-11-07	Version 2.1b6 (beta release, changes since b5)
	- Bug fix: Fixed crash that could occur with the file browser (#35)
	- Bug fix: Weren't able to delete more than one ShoutCast station at a time (#18)
	- Bug fix: Fixed crash that could occur when tapping a PLS link/attachment (#28, #38)
	- Bug fix: Fix potential crash when starting Pocket Tunes.  (#27)
	- Bug fix: Brushed Metal skin wasn't setting fonts correctly when first 
	  loaded (#54)
	- Bug fix: When tapping PLS link in browser, don't add more than one entry (#21)
	- Bug fix: Set backup bit on ShoutCast database (#22)
	- Bug fix: Holding down center button to go to launcher now works on 
	  Tungsten handhelds (#50)
	- Documentation: Updated documentation for 2.1
	- Documentation: Updated FAQ

2003-11-05	Version 2.1b5 (beta release, changes since b4)
	- Enhancement: Added debug logging to beta versions to help track down bugs.
	- Removal: Removed menu command bar icon due to some crashing problems.  
	  We'll come back to this at a later date.
	- Bug fix: Fix potential crash when loading PLS file with no title.
	- Bug fix: Fix problem with losing networking connectivity after power off.
	- Bug fix: Add extra space between folder icon and folder name.
	- Bug fix: Some stations retransmit the song title, which caused the 
	  scrolling to restart every few seconds, so you never saw the whole title.
	- Bug fix: Some older ShoutCast servers weren't recognizing our User-Agent 
	  header, so they wouldn't work.  Removed the User-Agent header to fix this.

2003-11-03	Version 2.1b4 (beta release, changes since b3)
	- Feature: Pocket Tunes console button now appears in menu command bar
	  (make the shortcut stroke)
	- Feature: ShoutCast streams can be launched from any Exchange 
	  Manager-compatible web browser by tapping on the PLS link.
	- Feature: Added a Pocket Tunes API (email support at pocket-tunes.com for 
	  details)
	- Enhancement: Non-blcoking socket I/O allows you to do other things while 
	  connecting to a ShoutCast station.  Also increased timeout to 30 seconds 
	  to reduce transient failures.
	- Enhancement: Filenames are now sorted in the Choose Songs screen.
	- Enhancement: Added "Song Info" to Actions menu.
	- Enhancement/Bug Fix: Dramatically improved buffering response so that 
	  buffer cut-outs due to using other applications will happen much less 
	  frequently.  (should be particularly noticeable on TT3 and UX50.)
	- Enhancement: ShoutCast playlists loaded from web browser remember their 
	  title even when disconnected.
	- Enhancement: Display "Cancel" dialog when adding a new ShoutCast URL.
	- Enhancement: Better error messages when network access fails.
	- Modification: Changed shortcut key for "Turn off Screen" to "C"; "2" 
	  didn't work on some devices.
	- Bug fix: Fixed problem with running out of network sockets.
	- Bug fix: Fixed control ordering problem that prevented some skins' 
	  buttons from working (e.g. iTunes1.1m)
	- Bug fix: Fixed bug where Registration dialog didn't always come up.
	- Bug fix: Use "Unnamed Card" for cards without a name.
	- Bug fix: Changed shortcut key for "Shuffle" to H (F was used twice).
	- Bug fix: Tiny/medium fonts weren't working on high-res devices with 
	  built-in skin.
	- Bug fix: Select button (5-way nav) was dismissing popup console.
	- Bug fix: ShoutCast titles/status messages now update properly in the 
	  popup console.

2003-10-02	Version 2.0.5
	- Bug fix: Fixed crash that affected some people when switching skins.
	- Bug fix: Fixed problem where the last split second of audio was never 
	  played.

2003-09-06	Version 2.0.4
	- English & German versions: see release notes for 2.0.3 French
	- Bug fix: Fixed some text in the French version that didn't fit on the 
	  screen.
	- Bug fix: Fixed a potential crash when reading some ID3v2 tags.

2003-09-01	Version 2.0.3 (French release)
	- Modification: Hide the "pen swipe" preference if the Palm doesn't have a 
	  graffiti area.
	- Modification: Don't show unavailable button options on the Treo 600.
	- Bug fix: Fixed a problem where equalizer settings didn't take effect
	  immediately when checking/unchecking the Enable Equalizer checkbox.
	- Bug fix: Treo 600 wasn't respecting the "unless in cradle" screen option.

2003-08-25	Version 2.0.3
	- Enhancement: Enabled screen turn-off on the Treo 600.
	- Enhancement: Pause playback when receiving or initiating a phone call on 
	  the Treo 600.
	- Enhancement: Display warning message when trying to enable "Turn off 
	  screen" preference item on devices that don't support this.
	- Enhancement: Treo 600 turns off automatically after playing if you have 
	  the "Turn off screen" preference enabled.
	- Enhancement: Highlight name of playlist when creating a new one.
	- Bug fix: Added work-around to a Tungsten C bug that causes a crash when 
	  trying to play 24kHz files.
	- Bug fix: Fixed problem on TT2 that could cause the sliders to stop moving.
	- Bug fix: Fixed rare problem where system auto-off could be left set to 
	  "never" after Pocket Tunes exits.
	- Bug fix: Fixed minor problem with file selection colors in Choose Songs.

2003-08-17	Version 2.0.2
	- Bug fix: Fixed problem that could prevent Open from working properly.
	- Bug fix: Fixed ocassional failure to crossfade.

2003-08-16	Version 2.0.1
	- Bug fix: Fixed a potential crash on the Zire 71 when switching songs.

2003-08-15	Version 2.0
	- Feature: Crossfade and gapless playback added.
	- Feature: Added bookmark support.
	- Feature: Added auto-bookmark option.
	- Feature: Stop playing music after X minutes. (Advanced Preferences)
	- Feature: Added option to keep the screen on while in other apps.
	- Feature: Added option to ignore screen taps while the screen is blanked.
	- Feature: Added menu option to turn off the screen (only works if the 
	  turn off screen option is enabled in the prefs and you are playing music).
	- Enhancement: Add playlist no longer prompts for the name - it defaults to 
	  "Untitled".
	- Enhancement (internal): Playlists now use '-' instead of ':' in their 
	  database name to avoid problems with certain synchronization/backup
	  software that deals poorly with the ':' character.
	- Enhancement: Default to the first expansion card instead of internal memory.
	- Enhancement: Rearranged buttons on playlists screen to make more sense.
	- Enhancement: Added "Register" button to registration warning screen.
	- Enhancement: Show your free upgrade status in the About screen.
	- Enhancement: Handle 2.0 registration codes for deluxe/basic versions.
	- Enhancement: When inserting a new card, don't jump to the launcher.
	- Enhancement: Increased the scan acceleration slightly.
	- Enhancement: Balance slider now has 9 positions, so you can more easily 
	  tell if it's exactly centered.
	- Enhancement: Reorganized the menus to make more sense.
	- Enhancement: Added edit menus to all forms with text entry fields.
	- Enhancement: Icons in Choose Songs screen have transparent backgrounds.
	- Enhancement: Failsafe checking: If Pocket Tunes detects that there was a 
	  crash or reset the last time it was running, it shows a warning message 
	  and then will not open up the last song or playlist (in case it was something
	  about the song that caused the crash).
	- Enhancement: Show an error when a song can't play due to using an 
	  unsupported sampling rate.
	- Modification: Added an "Advanced Prefs" screen and moved some prefs there.
	- Modification: Added a warning about audio quality when selecting volume 
	  boost or the equalizer.
	- Bug fix: Popup list in Choose Songs screen correctly reflects initial 
	  selection.

2003-08-07	Version 2.0b3 (beta release)
	- Feature: Added bookmark support.
	- Feature: Added auto-bookmark option.
	- Enhancement: Add playlist no longer prompts for the name - it defaults to 
	  "Untitled".
	- Enhancement (internal): Playlists now use '-' instead of ':' in their 
	  database name to avoid problems with certain synchronization/backup
	  software that deals poorly with the ':' character.
	- Enhancement: Default to the first expansion card instead of internal memory.
	- Enhancement: Rearranged buttons on playlists screen to make more sense.

2003-05-26	Version 2.0b2 (beta release)
	- Enhancement: Support Ogg files for crossfading.
	- Enhancement: never use up the last 100k of memory for xfade.
	- Bug fix: Fixed crash with insufficient space available for crossfading.
	- Bug fix: Fixed wrong selection in crossfade preferences screen.
	- Bug fix: Fixed several other uncommon crashes relating to crossfading.

2003-04-27	Version 2.0b1 (beta release)
	- Feature: Crossfade and gapless playback added. (Ogg Vorbis not supported 
	  yet)

2003-07-30	Version 1.9
	- Enhancement: Support for Tungsten T2.
	- Enhancement: Support for 160x160 skins.
	- Enhancement: Added Actions menu to access frequently-used functions.
	- Enhancement: Improved support for future devices.

2003-06-25	Version 1.8.8
	- Bug fix: Fixed problem with Zire 71 & Tungsten C where audio could not be 
	  resumed if you switched apps while the audio was paused.

2003-06-14	Version 1.8.7
	- Feature: Hold down the left or right buttons to scan backward or forward.
	- Bug fix: Fixed potential crash when pressing select button in play lists 
	  form when there are no playlists.
	- Bug fix: Fixed potential crash when starting Pocket Tunes with the wrong 
	  (or no) SD card inserted.
	- Bug fix: Fixed ocassional crash on Zire 71 when playing Ogg files.

2003-05-12	Version 1.8.6
	- Bug fix: Minimize skipping on Zire 71

2003-05-01	Version 1.8.5
	- Bug fix: Fix bug rewinding Ogg files on Zire 71

2003-04-22	Version 1.8.4
	- Enhancement: Support for new Palm Zire 71 (and probably Tungsten C)
	- Bug fix: Fix bug reading some ID3v2 tags generated by iTunes.

2003-04-08	Version 1.8.3
	- Enhancement: Changed the way screen off timeout works to work around
	  a number of strange problems that can ocassionally occur.
	- Enhancement: Added "Voice Memo" button to list of buttons that can be
	  assigned to bring up the pop-up console.

2003-04-06	Version 1.8.2
	- Enhancement: Screen turns off while playing in background.

2003-03-30	Version 1.8.1
	- Enhancement: Files starting with ._ are now ignored in the file browser.  
	  These are added by MacOS X and are not valid audio files.
	- Enhancement: Skins are now sorted alphabetically.
	- Enhancement: Skins on cards now have an icon.
	- Enhancement: Added "Copy" button to copy skins between main memory and 
	  expansion card.
	- Modification: Preferences shortcut is now /R to match other applications.
	- Modification: Choose skin form is now modal.
	- Bug fix: Fixed bug with song details screen causing pen taps to be 
	  ignored.

2003-03-29	Version 1.8
	- Feature: Built-In Skin interface to save memory.
	- Feature: Support for custom color schemes with built-in skin interface.
	- Feature: Tapping on title brings up Song Details form.
	- Enhancement: All scrollbars now give instant feedback.
	- Enhancement: Added menu shortcuts within Pocket Tunes.
	- Enhancement: If you're stopped at the end of a song and hit play,
	  pTunes now restarts the song automatically.
	- Enhancement: Equalizer settings take effect immediately.
	- Enhancement: Pause playback when you turn off the Palm while playing
	  in the background.
	- Enhancement: Skins can be installed to /PALM/Programs/PocketTunes
	- Modification: Removed "Could not move song" msg box in favor of
	  a simple system beep.
	- Bug fix: Pocket Tunes app database could sometimes remain locked
	  if you cancelled the initial "Choose Skin" dialog (very rare).
	- Bug fix: With shuffle turned on, play list song selection didn't work 
	  right.

2003-03-22	Version 1.7.4
	- Bug fix: Fix problem with some ID3v2.3 tags.

2003-03-20	Version 1.7.3
	- Bug fix: Fix display problem with some ID3v1 tags padded with
	  spaces.
	- Bug fix: Fix problem displaying ID3v2.3 tags with long frames
	  (e.g. images)
	- Bug fix: Now plays strange MP3 files with WAV headers.

2003-03-13	Version 1.7.2
	- Bug fix: Fix crash that can occur with fresh install of pTunes
	  when changing playlist preference before playing music.

2003-03-12	Version 1.7.1
	- Bug fix: Fix reading title of some non-comforming ID3v1 tags.
	- Bug fix: Fix reading some ID3v2 frames.
	- Bug fix: Fix handle allocation bug that could cause crash w/
	  background play.
	- Bug fix: Missing newline after some genre frames.

2003-03-11	Version 1.7
	- Feature: Option to display playlist in comment area.
	- Feature: Support for ID3v1 and ID3v2 tags on MP3 files.
	- Enhancement: Rewrite MP3 access functions to improve stability and
	  reduce memory usage by 64K.
	- Bug fix: LED doesn't blink when Palm is turned off any more.

2003-02-17	Version 1.6.1
	- Bug fix: Fix problem with repeat/shuffle buttons

2003-02-16	Version 1.6
	- Enhancement: Brand new spiffy-looking skin!

2003-02-14	Version 1.5.2
	- Bug fix: Attempt to fix some spurious crashes/hangs.

2003-02-12	Version 1.5.1
	- Enhancement: Sped up PCM conversion of MP3 files a tad.
	- Documentation: Updated docs & FAQ for equalizer.

2003-02-10	Version 1.5
	- Feature: Graphic equalizer (currently only works for MP3).
	- Feature: Store up to 8 presets for the equalizer.
	- Feature: Added Volume Boost option.
	- Enhancement: Moved background preferences to its own menu item.
	- Enhancement: The menu is displayed by tapping on the title of the
	  default skin (near the top of the screen for other skins).
	- Enhancement: Finer volume adjustment with the 5-way control.
	- Enhancement: Added option to start playing when pTunes starts.
	- Enhancement: Added option to enable/disable auto-off on low battery.
	- Modification: Pressing the previous track button will go to the
	  beginning of the track first, and then go to the previous track.
	- Bug fix: Fixed bug where screen could turn off while displaying
	  preferences, about, or choose skin screen.
	- Bug fix: Fixed bug where 8-bit WAV files had lots of skips
	  (actually a PalmOS bug we had to work around).
	- Bug fix: Fixed bug reading past end of some WAV files.
	- Bug fix: Fixed bug where console swipe was only working from top-half
	  of some silk screen buttons.

2003-02-07	Version 1.4.1
	- Bug fix: Fixed bug where screen sometimes turns on between tracks.
	- Bug fix: Seeking or stopping/starting MP3 caused a split second of audio
	  to be played incorrectly.
	- Bug fix: Seeking to the end of an MP3 would actually seek to the start.
	- Bug fix: Fixed crash when tapping on Home button from Choose Song screen
	  when editing playlist.
	- Bug fix: When hit end of song, you can now play the song again without
	  having to re-select it.
	- Bug fix: Fixed bug where you can select empty line in Choose Songs.
	- Bug fix: Disable console in apps that don't have proper forms (e.g
	  HotSync).  Avoids a potential crash.

2003-02-04	Version 1.4
	Changes since 1.3
	- Feature: MP3 support
	- Feature: Plugin support
	- Modification: When entering Pocket Tunes, songs don't start playing
	  automatically any more.  The last position within the song is still
	  remembered.
	- Bug fix: Don't let the Palm go to sleep while playing in the background.

	Changes since last beta
	- Bug fix: Fixed clipping problem with loud MP3 files.
	- Bug fix: Fixed problem reading MP3 files with large ID3 tags.
	- Optimization: Sped up MP3 decoding.
	- Modification: When entering Pocket Tunes, songs don't start playing
	  automatically any more.  The last position within the song is still
	  remembered.
	- Bug fix: Don't let the Palm go to sleep while playing in the background.

2003-02-04	Version 1.4b1
	- Feature: MP3 support
	- Feature: Plugin support

2003-02-02	Version 1.3
	Changes since 1.2:
	- Feature: Background play.  If you leave Pocket Tunes while playing
	  a song, it will continue to play in the background.  Songs also
	  continue playing while changing skins, changing preferences, or
	  viewing the about screen.
	- Feature: Pocket Tunes console.  While playing in the background,
	  you can bring up the Pocket Tunes console to switch tracks, pause,
	  change volume, or launch Pocket Tunes.

	Changes since last beta:
	- Bug fix: Fixed crash when closing console in Clock application.
	- Bug fix: Fixed some screen draw problems (ZLauncher, YiShow)
	- Enhancement: Background play can be disabled.
	- Enhancement: You can now choose a pen swipe or button to bring up
	  the console.
	- Modification: Changed the default pen swipe for the console.

2003-02-01	Version 1.3b4 (beta release)
	- Bug fix: Another attempt to fix the "Pen q out of sync" error.

2003-01-31	Version 1.3b3 (beta release)
	- Bug fix: Wait for pen up event before closing mini form.
	  Hopefully will fix "Pen q out of sync" error.  Thanks to
	  Mike McCollister (maker of McPhling) for his help fixing this!

2003-01-30	Version 1.3b2 (beta release)
	- Bug fix: The first tap after returning to Pocket Tunes via the
	  console was ignored.  This is fixed.  (Hopefully this will also
	  fix the "Pen q out of sync" error some users are seeing.)
	- Bug fix: Properly clean up console form.
	- Bug fix: Fixed audio glitch (static) that sometimes occurred when
	  un-pausing a song.
	- Documentation: Updated history.txt file.

2003-01-29	Version 1.3b1 (beta release)
	- Feature: Background play.  If you leave Pocket Tunes while playing
	  a song, it will continue to play in the background.  Songs also
	  continue playing while changing skins, changing preferences, or
	  viewing the about screen.
	- Feature: Pocket Tunes console.  While playing in the background,
	  you can bring up the Pocket Tunes console to switch tracks, pause,
	  change volume, or launch Pocket Tunes.
	- Not yet implemented: Background play cannot be disabled.
	- Not yet implemented: The pTunes console is displayed by swiping the
	  stylus from the "menu" icon to the "home" icon.  This swipe will be
	  configurable in the final release (using hardware buttons will also
	  be an option.)
	- Not yet implemented: Plugins are disabled.
	- Untested: Alarms have not been tested with background play.
	- Incomplete: Documentation and history have not been updated for 1.3.

2002-12-22	Version 1.2
	- Feature: Added Delete button on file browser screen.
	- Feature: Double-click 5-way navigator to bring up playlist and
	  use navigator to browse and select a playlist to play.
	- Feature: Added an option in the preferences to keep the screen
	  on while the Palm is in the cradle (i.e. charging).
	- Feature: Support for AeroPlayer plugins (including MP3).
	- Enhancement: Remember position in song when returning to pTunes.
	- Enhancement: Remember song list even if it wasn't chosen from a
	  playlist.
	- Enhancement: Skins can be stored on flash card.
	- Bug Fix: If you turn off the device while playing and you have screen
	  turn off enabled, it will wake up periodically and play a snippet of
	  music before going back to sleep.  Fixed.
	- Bug Fix: If your trial period is expired, you are reminded between
	  each song.  However, if the screen was off, it wasn't being turned on
	  so you couldn't see the reminder.  Fixed.
	- Bug Fix: If the device auto-offs while paused/stopped, and you use
	  the 5-way navigator to turn the device back on, the screen would
	  become unresponsive.
	- Bug Fix: If you have a play list with 1 song, it wouldn't remember
	  that you were playing that song.
	- Bug Fix: Screen auto-off timer was not being reset when using the
	  5-way navigator to change volume or skip tracks.
	- Bug Fix: Fixed a potential crash if you delete your current skin.
	- Documentation: Added some FAQs and information about install programs.

2002-12-07	Version 1.1
	- Feature: Added auto screen off and LCD blink preferences.
	- Feature: Tapping on time display toggles between count up/down.
	- Feature: Added "Choose Skin" menu item to select a different skin.
	- Enhancement: Increased volume to 200%.
	- Enhancement: After creating a new play list, you are immediately
	  brought to the Edit screen.
	- Enhancement: Internal branding changes
	- Bug fix: Fixed crash when you deleted currently-playing play list.

2002-12-05	Version 1.0 hotfix
	- Bug Fix: Fixed problem with installing files by HotSync.

2002-12-05	Version 1.0
	- Released version 1.0
